> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/caffaceliveness/lifecycle.md).

# Ciclo de vida do SDK

## CafFaceLivenessDelegate

O `CafFaceLivenessDelegate` o protocolo trata eventos-chave durante o processo de detecção de vivacidade do SDK:

| Evento                                                    | Descrição                                                                                   |
| --------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| `cancelled()`                                             | Disparado quando o usuário cancela o processo.                                              |
| `didFinishWithError(sdkFailure: CafSDKFailure)`           | Chamado em caso de falha do SDK, com detalhes do erro fornecidos em `sdkFailure`.           |
| `loaded()`                                                | Disparado quando o SDK está pronto, se a tela de carregamento estiver desativada.           |
| `loading()`                                               | Indica que o SDK está inicializando, chamado se nenhuma tela de carregamento for exibida.   |
| `didFinishWithSuccess(livenessResult: CafLivenessResult)` | Chamado após uma detecção bem-sucedida, com o resultado em `livenessResult.signedResponse`. |

### Exemplo

```swift
extension YourViewController: CafFaceLivenessDelegate {
    func didFinishWithSuccess(livenessResult: CafLivenessResult) {
        print("Sucesso: \(livenessResult.signedResponse ?? "Sem resposta")")
    }

    func cancelled() {
        print("Detecção de vivacidade cancelada")
    }

    func didFinishWithError(sdkFailure: CafSDKFailure) {
        print("Erro: \(sdkFailure.description ?? "Erro desconhecido")")
    }

    func loading() {
        print("Detecção de vivacidade carregando")
    }

    func loaded() {
        print("Detecção de vivacidade carregada")
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/caffaceliveness/lifecycle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
